/* Copyright 1988 Stephan v. Bechtolsheim */

/* This file is part of the TeXPS Software Package.

The TeXPS Software Package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY.  No author or distributor
accepts responsibility to anyone for the consequences of using it
or for whether it serves any particular purpose or works at all,
unless he says so in writing.  Refer to the TeXPS Software Package
General Public License for full details.

Everyone is granted permission to copy, modify and redistribute
the TeXPS Software Package, but only under the conditions described in the
TeXPS Software Package General Public License.   A copy of this license is
supposed to have been given to you along with TeXPS Software Package so you
can know your rights and responsibilities.  It should be in a
file named CopyrightLong.  Among other things, the copyright notice
and this notice must be preserved on all copies.  */


/* Default character code vector business */

#include <stdio.h>
#include "defs.h"
#include "pfd2tfm.h"
#include "char.h"

extern CAFM AfmChar[MAX_CHAR_PS];
extern char *SetUpHashTable();

char * ExcludeCharHashTable;

/*
 * ExcludeChar
 * ***********
 * name: name of a character, which is to be excluded from the
 * encoding vector.
 */
void
ExcludeChar(name)
     char * name;
{
  InsertKeyIntoHashTable (ExcludeCharHashTable, name);
}

/*
 * ExcludeCharInit
 * ***************
 * Initialize the business about the exclusion of characters.
 */
void
ExcludeCharInit()
{
  ExcludeCharHashTable = SetUpHashTable (50, 0,
					 "HashTable for ExcludeChar");
}
